--- title: "createFile" slug: "ai-application-service-cloudoutboundmailer-createfile" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-createfile" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createFile Available in Classic and VPC Upload any files you need for purposes like email attachments. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | POST | /files | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileList` | File | Required | File to upload | ### Request example The following is a sample request. ``` curl --location --request POST 'https://mail.apigw.ntruss.com/api/v1/files' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --form 'fileList=@"/E:/desktop/test.txt"' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tempRequestId` | String | - | Temporary request ID created upon file upload - It can be used to view or delete the file | | `files` | List | - | List of file to upload - File size for email attachments must be 10 MB or less - See [AttachFile](/docs/en/common-vapidatatype-nesattachfile) | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "tempRequestId":"f355aac1-7776-4c0b-8484-20eaa065cb65-99", "files":[ { "fileName":"test.txt", "fileSize":16, "fileId":"40fe58bd-91fe-4f89-a62e-705a7c17d65e-99" } ] } ```